import request from '/@/utils/request';
import type { paramsDataProjectExitPlanFeedback, feedbackResponseData} from '/@/views/invMid/projectExitFeedback/interface/type';
import { paramsDataProjectExitPlan, ProjectTask, responseData } from '/@/views/invMid/projectExitPlan/interface/type';
// 添加项目退出计划
export function addProjectExitPlan(data: ProjectTask) {
	return request({ url: '/admin/projectExitPlan/add', method: 'post', data })
}
//项目退出计划库
// /admin/projectExitPlan/page
export function getProjectExitPlanPage(data: paramsDataProjectExitPlan) {
	return request<responseData>({ url: '/admin/projectExitPlan/page', method: 'post', data })
}
// 根据流程id查询项目退出计划详情
export function getProjectExitPlanByProcessInstanceId(processInstanceId: string) {
	return request({ url: '/admin/projectExitPlan/getByProcessInstanceId?processInstanceId=' + processInstanceId, method: 'get' })
}
// 项目退出计划反馈表
// /admin/projectExitPlan/addFeedback
export function addProjectExitPlanFeedback(data: ProjectTask) {
	return request({ url: '/admin/projectExitPlan/addFeedback', method: 'post', data })
}
// 根据流程id查询项目退出计划反馈详情
export function getProjectExitPlanFeedbackByProcessInstanceId(processInstanceId: string) {
	return request({ url: '/admin/projectExitPlan/getFeedbackByProcessInstanceId?processInstanceId=' + processInstanceId, method: 'get' })
}
//项目退出计划反馈库
export function getProjectExitPlanFeedbackPage(data: paramsDataProjectExitPlanFeedback) {
	return request<feedbackResponseData>({ url: '/admin/projectExitPlan/feedbackPage', method: 'post', data })
}
